import { StyleSheet as RNStyleSheet, ViewStyle, TextStyle, ImageStyle, ScaledSize } from 'react-native';
export declare type FunctionalStyleProperty = ({ window, screen, }: {
    window: ScaledSize;
    screen: ScaledSize;
}) => ViewStyle | TextStyle | ImageStyle;
export declare type FunctionalStyleObject<T> = {
    [P in keyof T]: FunctionalStyleProperty;
};
export declare function create<T extends FunctionalStyleObject<T>>(styles: T | FunctionalStyleObject<T>): () => RNStyleSheet.NamedStyles<T>;
export declare const StyleSheet: {
    create: typeof create;
};
